PHP ��U
前一頁 |  | 下一頁

# yaz_hits

(PHP 4 >= 4.0.1, PECL)

yaz_hits -- Returns number of hits for last search

## Description

int yaz_hits ( resource id [, array searchresult] )

yaz_hits() returns the number of hits for the last search.

## Parameters

id

  The connection resource returned by yaz_connect().

searchresult

  Result array for detailed search result information.

## Return Values

Returns the number of hits for the last search or 0 if no search was performed.

The search result array (if supplied) holds information that is returned by a Z39.50 server in the SearchResult-1 format part of a search response. The SearchResult-1 format can be used to obtain information about hit counts for various parts of the query (subquery). In particular, it is possible to obtain hit counts for the individual search terms in a query. Information for first subquery is in $array[0], second subquery in $array[1], and so forth.

表格 1. searchresult members

Element | Description
--- | ---
id | Sub query ID2 (string)
count | Result count / hits (integer)
subquery.term | Sub query term (string)
interpretation.term | Interpretated sub query term (string)
recommendation.term | Recommended sub query term (string)

> 注: The SearchResult facility requires PECL YAZ 1.0.5 or later and YAZ 2.1.9 or later.

> 注: Very few Z39.50 implementations support the SearchResult facility.

前一頁 | 內容 | 下一頁
yaz_get_option | 上一層 | yaz_itemorder